Skip to main content

Restore site OpenSearch snapshot

POST 

/sites/:siteId/opensearch/snapshots/:snapshotName/restore

Restores the specified snapshot into a separate OpenSearch index for the site.

The restored index is created from the site's current index name with the snapshot name and "_restored" suffix. For provisioned OpenSearch domains, the snapshot is read from the site's S3 snapshot repository. For OpenSearch Serverless, the snapshot is read from the automated snapshot repository.

Request​

Responses​

200 OK

Response Headers
    Access-Control-Allow-Origin
    Access-Control-Allow-Methods
    Access-Control-Allow-Headers